Bug 131507 - FILEOPEN: CRASH at import time
Summary: FILEOPEN: CRASH at import time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-03-23 18:26 UTC by Xisco Faulí
Modified: 2020-03-27 17:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (1.03 MB, application/vnd.ms-powerpoint)
2020-03-23 18:26 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-03-23 18:26:59 UTC
Created attachment 158901 [details]
sample file

Steps to reproduce:
1. Open attached document

-> Crash

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: fd1cd5522283f279a01d6d673f676a1346e9358b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-03-23 18:27:51 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7c0378c0bea935c0aac2f519c53c30b2e4d8bbf9

author	Armin Le Grand <armin.le.grand@me.com>	2020-02-28 15:25:58 +0100
committer	Armin Le Grand <Armin.Le.Grand@me.com>	2020-02-29 14:43:00 +0100
commit	7c0378c0bea935c0aac2f519c53c30b2e4d8bbf9 (patch)
tree	cc9ac986c783de8f083bf73e80a5b519d6970d74
parent	946eb391028284ca1b0b9927891a8e21c1c478f9 (diff)
tdf#130768 add a pre-scale version for cairo

Bisected with: bibisect-linux64-6.5

Adding Cc: to Armin Le Grand
Comment 2 Xisco Faulí 2020-03-23 18:29:23 UTC
Hi Caolán, I think this crash would have been caught by the crash testing machine if it worked
Comment 3 Caolán McNamara 2020-03-23 20:02:30 UTC
1359743x50 surface creation fails and returns nullptr in SvpSalGraphics::createCairoSurface
Comment 4 Commit Notification 2020-03-24 08:58:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/288e02549bed317730eff0d169f6bdb75c8f40ce

Resolves: tdf#131507 createCairoSurface returns nullptr on failure

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-03-27 17:20:38 UTC
Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 9b784a74a2f09e9eb9a0fd41d58c1f6b47ee6ee6
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!